> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/search/data-explorer/example-queries/github-audit-logs-queries.md).

# GitHub 감사 로그 쿼리

때때로 GitHub 기여자들은 브랜치 보호를 우회합니다. GitHub 감사 로그는 브랜치 보호가 우회되었음을 보고하지만, 우회하는 동안 어떤 활동이 발생했는지에 대한 명시적인 정보는 제공하지 않습니다.

이 쿼리는 GitHub 감사 로그에서 브랜치 보호 우회 이벤트와 시간적으로 관련된 사용자의 이벤트를 찾습니다.

```sql
WITH rows_i_care_about AS (
SELECT
  actor, repo, at_sign_timestamp as ts, md5(p_row_id) as event_id
FROM panther_logs.public.github_audit
WHERE action like '%override%' 
   AND p_occurs_since('3 week') 
) 
-- 시간적으로 위의 행들 주변의 모든 행을 수집합니다
SELECT
  b.event_id, a.* 
FROM panther_logs.public.github_audit a 
JOIN rows_i_care_about b
    WHERE ( 
    a.actor = b.actor 
    AND 
    a.repo = b.repo
    AND 
    a.at_sign_timestamp > DATEADD(MINUTE, -5, b.ts)
    AND 
    a.at_sign_timestamp < DATEADD(MINUTE, 2, b.ts)
    AND
    p_occurs_since('3 week', a)
  )
 ORDER BY event_id, at_sign_timestamp ASC
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.panther.com/ko/search/data-explorer/example-queries/github-audit-logs-queries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
